ChangeSet 1.1333.1.3, 2003/06/18 10:31:58-07:00, david-b@pacbell.net

[PATCH] USB: usbnet talks to boot loader (blob)

Boot ROMs have talked TFTP forever.  Some do it over USB now.


 drivers/usb/net/Kconfig  |    3 ++-
 drivers/usb/net/usbnet.c |    8 ++++++++
 2 files changed, 10 insertions(+), 1 deletion(-)


diff -Nru a/drivers/usb/net/Kconfig b/drivers/usb/net/Kconfig
--- a/drivers/usb/net/Kconfig	Wed Jun 18 11:14:30 2003
+++ b/drivers/usb/net/Kconfig	Wed Jun 18 11:14:30 2003
@@ -212,7 +212,8 @@
 	help
 	  Choose this option to support the "usb-eth" networking driver
 	  used by most of the ARM Linux community with device controllers
-	  such as the SA-11x0 and PXA-25x UDCs.
+	  such as the SA-11x0 and PXA-25x UDCs, or the tftp capabilities
+	  in some PXA versions of the "blob" boot loader.
 
 	  Although the ROMs shipped with Sharp Zaurus products use a
 	  different link level framing protocol, you can have them use
diff -Nru a/drivers/usb/net/usbnet.c b/drivers/usb/net/usbnet.c
--- a/drivers/usb/net/usbnet.c	Wed Jun 18 11:14:30 2003
+++ b/drivers/usb/net/usbnet.c	Wed Jun 18 11:14:30 2003
@@ -1622,6 +1622,11 @@
 	.check_connect = always_connected,
 };
 
+static const struct driver_info	blob_info = {
+	.description =	"Boot Loader OBject",
+	.check_connect = always_connected,
+};
+
 #endif	/* CONFIG_USB_ARMLINUX */
 
 
@@ -2707,6 +2712,9 @@
 }, {
 	USB_DEVICE (0x0E7E, 0x1001),	// G.Mate "Yopy"
 	.driver_info =	(unsigned long) &yopy_info,
+}, {
+	USB_DEVICE (0x8086, 0x07d3),	// "blob" bootloader
+	.driver_info =	(unsigned long) &blob_info,
 }, 
 #endif
 
